$ IDENTIFICATION
Dissolution of Ca(OH)2 in stirred pure water (25C)
Date: June 2006


$ CHEMICAL SYSTEM
* Water equilibrium H2O/OH[-]  pKe = 13,9951 (25C)
RE67:H2O+H2O=OH[-]+H3O[+];A=<k67
RE68:OH[-]+H3O[+]=H2O+H2O;A=<k68
* Ca[++]/CaOH[+] equilibrium  pKa = 12.8335  (25C)
RE173:Ca[++]+OH[-]=CaOH[+];A=<k173
RE174:CaOH[+]=Ca[++]+OH[-];A=<k174
* CaOH[+]/CaOHOH[0] equilibrium  pKa = 12.9071  (25C)
RE175:CaOH[+]+OH[-]=CaOHOH[0];A=<k175
RE176:CaOHOH[0]=CaOH[+]+OH[-];A=<k176


$ SYMBOLIC CONSTANTS
* Density of water at 25C  (kg/m3)
# RHOw=996.999
* Developed area of the Ca(OH)2 powder  (m2)
# S=1
* Kinetics constant of Ca(OH)2 dissolution at 25C (mol.dm-3.s-1.m-2)
# k1d=2.2E-4
* Solubility product of Ca(OH)2 at 25C  (mol/kg)^3
# Kport=5.8378E-6
* Molar Masses (kg/mol)
# MMOH=17.00734E-3
# MMH3O=19.02322E-3
# MMCa=40.078E-3
# MMCaOH=57.08534E-3
# MMCaOHOH=74.09268E-3
* Water dissociation constant (25C)
# Kw=1.0108470836822549E-14
* 1st Ca complexation constant (25C)
# KCa1=14.514823239009493
* 2nd Ca complexation constant (25C)
# KCa2=12.25192576831854


$ REFRESHABLE PARAMETERS
* Mass of solutes / volume of solution  (kg/dm3)
< SIGMAMiCi=MMH3O*H3O[+]+MMOH*OH[-]+MMCa*Ca[++]+MMCaOH*CaOH[+]+MMCaOHOH*CaOHOH[0]
* Sum of all solutes concentrations  (mol/dm3)
< SIGMACi=H3O[+] + OH[-] + Ca[++] + CaOH[+] + CaOHOH[0]
* Pseudo-ionic strength with concentrations in mol/dm3
< ION=(H3O[+] + OH[-] + CaOH[+] + 4*Ca[++])/2
* Density  (kg/m3)
< RHOLIQ=RHOw/2+104.673*SQRT(SIGMAMiCi+2.281766E-5*RHOw^2)
* Mass of water in the solution  (kg/dm3)
< CUC=1E-3*RHOLIQ-SIGMAMiCi
* Ionic strength with concentrations in mol/kg
< IS=ION/CUC
* Activity coefficients (Davies' formula)
< g1=10^(-0.5092*(SQRT(IS)/(1+SQRT(IS))-0.3*IS))
< g2=10^(-2.0368*(SQRT(IS)/(1+SQRT(IS))-0.3*IS))
* Water equilibrium
< k68=1.103078125E11
< k67=k68*Kw*CUC^2/(g1*g1*(H2O+SIGMACi)^2)
* 1st Ca complexation
< k173=1E9   ! estimation
< k174=k173/(KCa1*g2)
* 2nd Ca complexation
< k175=1E7   ! estimation
< k176=k175/(KCa2*g1^2)


$ EXCHANGE EQUATIONS
* Dissolution of Ca(OH)2 powder
d(CaOHOH)/dt=  S*k1d*((Ca[++]*g2*OH[-]*g1*OH[-]*g1/(Kport*CUC^3))-1)
d(Ca[++])/dt= -S*k1d*((Ca[++]*g2*OH[-]*g1*OH[-]*g1/(Kport*CUC^3))-1)
d(OH[-])/dt=-2*S*k1d*((Ca[++]*g2*OH[-]*g1*OH[-]*g1/(Kport*CUC^3))-1)


$ CONCENTRATIONS  ! (mol/dm3)
* Pure water
CON(H2O)=55.34465932228825
CON(H3O[+])=1.0030629166912707E-7
CON(OH[-])=1.0030629166912707E-7
* Solide Ca(OH)2
CON(CaOHOH)=0.1


$ INTEGRATION
* Initial step of integration  (s)
FSTSTP=1E-16
* Maximum value of integration step  (s)
HMAX=0.01
* Relative accuracy of integration
EPS=1E-9
* Duration  (s)
TEND=300


$ GRAPHICS
*PLONPA=4
PE1:Ca[++]
PE2:CaOH[+]
PE3:CaOHOH[0]
PE4:Ca[++]+CaOH[+]+CaOHOH[0]
* residual solid  referred to solution volume  (mol/dm3)
PE5:CaOHOH
* solution density  (kg/m3)
PE6:RHOLIQ
* ionic strength  (mol/kg)
PE7:IS
* activity coefficients
PE8:g1
PE9:g2
* pH
PE10:-log10(g1*H3O[+])
* relative undersaturation for Ca(OH)2
PE11:(Ca[++]*g2*OH[-]*g1*OH[-]*g1/(Kport*CUC^3))-1
plot(pe1,pe2,pe3,pe4)
plot(pe5,pe6,pe7,pe8)
plot(pe9,pe10,pe11)


$ OUTPUT CONTROL
* Number of digits in the result file
DIG=6
* Total number of results in the result file
PRINTS=240
* Print of the differential equations system
DIFFEQ


$ END DATA